# -*- coding: utf-8 -*-

import requests
import json
import matplotlib.pyplot as plt

def no2_concentration_in_bergen_next_few_hours():
    # Steg 1: last ned data fra meterologisk institutt.
    url = "https://api.met.no/weatherapi/airqualityforecast/0.1/?lat=60.381197&lon=5.330627"
    headers = {
        # Noen nettsider krever at 'User-Agent' har fått en verdi
        # for at man skal få respons.
        'User-Agent': 'inf100.ii.uib.no abc123', # Noe som forteller hvem du er
    }
    webpage = requests.get(url, headers=headers)

    # Steg 2: konverter nedlastet data først til en streng (.decode),
    # og deretter til et oppslagsverk (json.loads)
    forecast_dict = json.loads(webpage.content.decode('utf-8'))

    # Steg 3: Trekk ut relevant informasjon fra oppslagsverket i to lister
    list_of_times = []
    list_of_values = []

    for i in range(len(forecast_dict['data']['time'])):
        time_from = forecast_dict['data']['time'][i]['from']
        time_to = forecast_dict['data']['time'][i]['to']                
        if time_from != time_to:
            continue # ignorerer "sekker" som samler flere tidspunkt

        value = (forecast_dict['data']['time'][i]['variables']
                              ['no2_concentration']['value'])
        list_of_times.append(time_from)
        list_of_values.append(value)

    # Steg 4: Skriv ut varselet i terminalen
    for i in range(len(list_of_times)):
        print(list_of_times[i], list_of_values[i])

    # Steg 5: Plot varselet som en graf
    plt.plot(list_of_times, list_of_values)
    plt.show()

no2_concentration_in_bergen_next_few_hours()